com.google.gwt.core.ext.soyc.coderef

## Class EntityDescriptor.Fragment

- java.lang.Object
- - com.google.gwt.core.ext.soyc.coderef.EntityDescriptor.Fragment

Enclosing class:
  EntityDescriptor

    public static class EntityDescriptor.Fragment
    extends java.lang.Object

Stores the size contribution to each fragment for this entity. Fragments are 0-based, and -1 means in no fragment

### Constructor Summary

Constructors
Constructor and Description
`Fragment(int fragmentId, int fragmentSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()`
`int` `getSize()`
`void` `setId(int id)`
`void` `setSize(int size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Fragment

    public Fragment(int fragmentId,
                    int fragmentSize)

### Method Detail

#### getId

    public int getId()

#### setId

    public void setId(int id)

#### getSize

    public int getSize()

#### setSize

    public void setSize(int size)